<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-vente-heading" jhiTranslate="winpharmApp.vente.home.createOrEditLabel">Create or edit a Vente</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.vente.dateVente" for="field_dateVente">Date Vente</label>
                    <div class="input-group">
                        <input id="field_dateVente" type="text" class="form-control" name="dateVente" ngbDatepicker  #dateVenteDp="ngbDatepicker" formControlName="dateVente"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dateVenteDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                    <div *ngIf="editForm.get('dateVente').invalid && (editForm.get('dateVente').dirty || editForm.get('dateVente').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('dateVente').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="row">
                <div class="form-group col-6">
                    <label class="form-control-label" jhiTranslate="winpharmApp.vente.totalHT" for="field_totalHT">Total HT</label>
                    <input type="number" class="form-control" name="totalHT" id="field_totalHT"
                           formControlName="totalHT" [(ngModel)]="totalHT" readonly/>
                    <div *ngIf="editForm.get('totalHT').invalid && (editForm.get('totalHT').dirty || editForm.get('totalHT').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('totalHT').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('totalHT').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('totalHT')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                <div class="form-group col-6">
                    <label class="form-control-label" jhiTranslate="winpharmApp.vente.totalTTC" for="field_totalTTC">Total TTC</label>
                    <input type="number" class="form-control" name="totalTTC" id="field_totalTTC"
                           formControlName="totalTTC" [(ngModel)]="totalTTC" readonly/>
                    <div *ngIf="editForm.get('totalTTC').invalid && (editForm.get('totalTTC').dirty || editForm.get('totalTTC').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('totalTTC').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('totalTTC').errors.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('totalTTC')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                </div>
            </div>
            <!-- <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div> -->
        </form>
        <br>
        <jhi-ligne-vente
            [lvFromVente]="lvsFromVente"
            (produitID)="deleteLV($event)"
            (sendLVs)="sendLV($event)"
            (notify)="calculTotaux($event)">
        </jhi-ligne-vente>
        <br>
        <div>
            <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
            </button>
            <button type="button" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary" (click)="save()">
                <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
            </button>
        </div>
    </div>
</div>
